---
# Ansible Inventory for Undateable.me OCI Infrastructure
all:
  children:
    oci:
      children:
        amd_compute:
          hosts:
            amd-epyc:
              ansible_host: 10.0.3.215  # Private IP - access via bastion or VPN
              ansible_user: opc
              ansible_ssh_private_key_file: ~/.ssh/id_rsa

        # OKE nodes are managed by Kubernetes, not Ansible
        # But you can add them here for direct management if needed
        oke_nodes:
          hosts: {}  # Dynamically populated or left empty

  vars:
    ansible_python_interpreter: /usr/bin/python3

    # OCI Configuration
    oci_region: us-ashburn-1
    oci_compartment_id: ocid1.compartment.oc1..aaaaaaaai6bnxkfo3qizo7kur3emh3ah7exosyvxsruniogiynsumb7rt4nq

    # Project Configuration
    project_name: undateable
    environment: production

    # Docker Registry
    ocir_url: us-ashburn-1.ocir.io/idd2oizp8xvc

    # Database Configuration (for AMD instance)
    postgres_version: "15"
    postgres_db: undateable_me
    postgres_user: undateable_user
    # postgres_password: from vault

    # Redis Configuration
    redis_version: "7"
    redis_port: 6379
